use super::buttoninfo::ButtonInfo;
use super::gridinfo::GridInfo;
use super::iconinfo::IconInfo;
use super::labelinfo::LabelInfo;
use super::multi_line_labelinfo::MultiLineLabelInfo;
use super::multi_line_text_field_info::MultiLineTextFieldInfo;
use super::progressbar_info::ProgressBarInfo;
use super::textfieldinfo::TextFieldInfo;

use std::sync::Arc;

pub enum UiInfoElement {
    Button(Arc<ButtonInfo>),
    Label(Arc<LabelInfo>),
    MultiLineLabel(Arc<MultiLineLabelInfo>),
    MultiLineTextField(Arc<MultiLineTextFieldInfo>),
    Grid(Arc<GridInfo>),
    Icon(Arc<IconInfo>),
    ProgressBar(Arc<ProgressBarInfo>),
    TextField(Arc<TextFieldInfo>),
}
